/////////////////////////////////////////////
// RADIAL LOADER CODE
// Place this in your app.js
// This is the function you can call, passing the view that is the loader
// For instance, if you named your loader group "Posts Loading" in photoshop
// the view is PSD["Posts Loading"]

function RadialLoadGo(RadialLoader, time){
    if(arguments.length == 1) {
        var time = 500;
    }
	RLCs = RadialLoader.subViews
	for (RLChild in RLCs){
		RLChildFill = RLCs[RLChild].subViews
		RLFillView = PSD[RLChildFill[0].name]
		if(RLFillView.name.indexOf("fill top right") > -1) { MyTR = RLFillView }
		if(RLFillView.name.indexOf("fill bottom right") > -1) { MyBR = RLFillView }
		if(RLFillView.name.indexOf("fill bottom left") > -1) { MyBL = RLFillView }
		if(RLFillView.name.indexOf("fill top left") > -1) { MyTL = RLFillView }
	}
	var RLTR = new Animation({ view: MyTR, properties: {rotation: 90}, time: time })
	var RLBR = new Animation({ view: MyBR, properties: {rotation: 90}, time: time })
	var RLBL = new Animation({ view: MyBL, properties: {rotation: 90}, time: time })
	var RLTL = new Animation({ view: MyTL, properties: {rotation: 90}, time: time })
	RLTR.on("end", RLBR.start)
	RLBR.on("end", RLBL.start)
	RLBL.on("end", RLTL.start)
	RLTL.on("end", function(){
		RadialLoader.animate({
			properties: {opacity: 0}
		}).on("end", function(){
			MyTR.rotation = 0
			MyBR.rotation = 0
			MyBL.rotation = 0
			MyTL.rotation = 0
		})
		RadialLoadDone(RadialLoader)
	})

	RLTR.start()
}

// Do things after the radial loader has loaded
function RadialLoadDone(RadialLoader){
	PSD["gobutton"].animate({
		properties: {opacity: 1}
	})
}
/////////////////////////////////////////////


// EXAMPLE CODE
// In this example I'm simply clicking the loader to show it.
// You could also have the click event be on a button
// and use opacity controls to show the Radial Loader and call the RadialLoadGo function
PSD["Example Radial Loader"].on("click", function(){
 	RadialLoadGo(PSD["Example Radial Loader"], 1000)
})

PSD["Example Radial Loader copy"].opacity = 0
PSD["gobutton"].on("click", function(){
	PSD["gobutton"].animate({
		properties: {opacity: .2}
	})
	PSD["Example Radial Loader copy"].animate({
		properties: {opacity: 1}
	}).on("end", function(){
	 	RadialLoadGo(PSD["Example Radial Loader copy"])
	})
})